Subject: Re: [PATCH] adding ROM chips to device tree

From: Sergei Shtylyov <[email-masked]>
Date: Tue, 07 Nov 2006 21:29:54 +0300

Sergei Shtylyov wrote:
> Hello.
> 
> Josh Boyer wrote:
> 
> 
>>>+
>>>+    Required properties:
>>>+
>>>+     - device_type : has to be "rom"

>>Why "rom" instead of "NOR"?

>     What does "NOR" mean -- logical operator? :-)
>     I'd yet agree with "nor-flash", however, the physmap-driven device may not 
> always be writeable, IIUC...

    Hence an idea: maybe we need to introduce the "writeable" property (just a 
logical value, i.e. absent/resent)?

>>>+     - compatible : Should be the name of the MTD driver. Currently, this is
>>>+       most likely to be "physmap".
>>>+     - reg : Offset and length of the register set for the device.

>>reg doesn't really describe a register set here.  It's the overall
>>memory space for flash.

    Since "reg" property is the way for device to claim its I/O resources, it 
must be used to describe the decoded memory range, I think. Maybe I should 
have added a comment about its meaning for direct mapped devices in the first 
place...

>     This is no more a standard boilerplate, if you look at this file.

    No more than a boilerplate, I meant to say.

WBR, Sergei